## rocblas 7.1.0

=== debian/changelog ===
rocblas (7.1.0-0ubuntu3) resolute; urgency=medium

  * d/rules: filter gfx11-generic from rocm-target-arch

 -- Igor Luppi <igor.luppi@canonical.com>  Wed, 28 Jan 2026 21:41:34 -0300

rocblas (7.1.0-0ubuntu2) resolute; urgency=medium

  * d/{control,rules}: update b-d to use upstream llvm-21 (LP: #2140431)
  * d/p/update-toolchain-defaults-for-upstream-llvm.patch
  * d/librocblas5.symbols.amd64: remove debian revision from symbols
  * d/control: add libamdhip64-dev as build dependency
  * d/control: make sure to use rocm 7.1.0 in build depends

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 16 Jan 2026 10:47:29 +0100

rocblas (7.1.0-0ubuntu1) resolute; urgency=medium

  [ Talha Can Havadar ]
  * New upstream version 7.1.0
  * d/gbp.conf: change debian-branch to ubuntu/devel
  * d/patches: fix patch hunks for the patches below.
     - Enable-changing-directory-for-test-data.patch
     - Skip-git-requirement.patch
     - use-generic-blas-for-reference.patch
     - verbose-tensile-source-kernel-build.patch
  * d/s/options: ignore diffs in .github and .jenkins they are line endings
  * d/control: point to rocm dependencies
  * d/rules: make sure to use amd llvm fork to build
  * debian: transition from librocblas4 to librocblas5

  [ Igor Luppi ]
  * d/control: update rocblas build-depends
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 28 Nov 2025 18:56:16 +0100

rocblas (6.4.4-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Replace wrong use of nocheck with noinsttest.
    Do build tests, benchmarks and testdata when needed. (Closes: #1126608)

 -- Christian Kastner <ckk@debian.org>  Thu, 05 Feb 2026 12:41:44 +0100

rocblas (6.4.4-3) unstable; urgency=medium

  * Drop ppc64el as a supported architecture.
    This can be re-enabled at a later point, but the current FTBFS will
    block migration until ftp-master removes pp64el in testing.

 -- Christian Kastner <ckk@debian.org>  Thu, 18 Dec 2025 09:31:46 +0100

rocblas (6.4.4-2) unstable; urgency=medium

  * Fix FTBFS when building only architecture independent packages
  * Remove d/p/expand-isa-compatibility.patch as it depends on architecture
    fallback behaviour from libamdhip64-5 that is no longer available in
    libamdhip64-6
  * Add prompt for rocminfo output to library and test bug reports

 -- Cordell Bloor <cgmb@debian.org>  Tue, 18 Nov 2025 19:11:07 -0700

rocblas (6.4.3+dfsg-1~exp1ubuntu1) UNRELEASED; urgency=medium

  [ Christian Bayle ]
  * d/rules: Use rocm-docs-build

  [ Igor Luppi ]
  * d/rules: update clang from v17 to llvm-toolchain-rocm
  * d/rules: fix FTBFS by adding -Wl,--gc-sections to flags
  * d/rules: add missing else case for turning off benchmark and tests
  * d/control: update rocblas build-depends
  * d/control: update maintainer field
  * d/librocblas-doc.docs: update build path for docs

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 09 Oct 2025 13:37:14 -0300
