=== debian/tests/control ===
Test-Command: rocm-test-launcher /usr/libexec/rocm/librocblas5-tests/run-tests
Features: test-name=librocblas5-tests
Depends: pkg-rocm-tools, librocblas5-tests, libopenblas0-pthread, rocminfo
Restrictions: skippable, allow-stderr
Architecture: amd64
